curl --request POST \
--url 'https://api.orq.ai/v2/mcp-servers/01JQ0K5R8N2ZC7X4M9T3V6HWBD:sync' \
--header 'Authorization: Bearer $ORQ_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"mcp_server": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"connection": {
"type": "MCP_CONNECTION_TYPE_UNSPECIFIED",
"url": "<string>"
},
"auth": {
"type": "MCP_AUTH_TYPE_UNSPECIFIED",
"static_headers": [
{
"key": "<string>",
"masked_value": "<string>"
}
],
"oauth": {
"client_id": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"masked_value": "<string>"
}
},
"default_tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"sync_state": {
"status": "SYNC_STATUS_UNSPECIFIED",
"tools_total": 123,
"tools_added": 123,
"tools_removed": 123,
"last_synced_at": "<string>",
"errors": [
"<string>"
]
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"status": "<string>",
"id": "<string>",
"title": "<string>",
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
],
"created": "<string>",
"updated": "<string>",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
},
"template_variables": [
"<string>"
],
"created_by_id": "<string>"
}
}MCP Servers
Sync an MCP server
Connects to an upstream MCP server, discovers tools, and persists the tool list and sync state on the server record.
POST
/
v2
/
mcp-servers
/
{id}
:sync
curl --request POST \
--url 'https://api.orq.ai/v2/mcp-servers/01JQ0K5R8N2ZC7X4M9T3V6HWBD:sync' \
--header 'Authorization: Bearer $ORQ_API_KEY' \
--header 'Content-Type: application/json' \
--data '{}'
{
"mcp_server": {
"id": "<string>",
"key": "<string>",
"display_name": "<string>",
"description": "<string>",
"connection": {
"type": "MCP_CONNECTION_TYPE_UNSPECIFIED",
"url": "<string>"
},
"auth": {
"type": "MCP_AUTH_TYPE_UNSPECIFIED",
"static_headers": [
{
"key": "<string>",
"masked_value": "<string>"
}
],
"oauth": {
"client_id": "<string>",
"token_url": "<string>",
"scopes": [
"<string>"
],
"masked_value": "<string>"
}
},
"default_tool_exposure": {
"mode": "MCP_TOOL_EXPOSURE_MODE_UNSPECIFIED",
"read_only": true,
"tool_ids": [
"<string>"
]
},
"sync_state": {
"status": "SYNC_STATUS_UNSPECIFIED",
"tools_total": 123,
"tools_added": 123,
"tools_removed": 123,
"last_synced_at": "<string>",
"errors": [
"<string>"
]
},
"tools": [
{
"name": "<string>",
"description": "<string>",
"input_schema": {},
"status": "<string>",
"id": "<string>",
"title": "<string>",
"annotations": {
"read_only": true,
"destructive": true,
"idempotent": true,
"open_world": true
}
}
],
"created": "<string>",
"updated": "<string>",
"sharing": {
"all_projects": {},
"selected": {
"project_ids": [
"<string>"
]
},
"allow_version_pin": true,
"allow_fork": true,
"auto_grant_new_projects": true
},
"template_variables": [
"<string>"
],
"created_by_id": "<string>"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the MCP server.
Body
application/json
Values for the server's template_variables; treated as sensitive and not persisted.
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
⌘I